import { IConnection, ISubscriber, ISubscriptionManager, OperationRequest } from './types';
declare class MemorySubscriptionManager implements ISubscriptionManager {
    private subscriptions;
    constructor();
    subscribersByEventName: (name: string) => AsyncIterable<ISubscriber[]> & AsyncIterator<ISubscriber[]>;
    subscribe: (names: string[], connection: IConnection, operation: OperationRequest & {
        operationId: string;
    }) => Promise<void>;
    unsubscribe: (subscriber: ISubscriber) => Promise<void>;
}
export { MemorySubscriptionManager };
export default MemorySubscriptionManager;
