import { DynamoDBStreamHandler } from 'aws-lambda';
import { GraphQLSchema } from 'graphql';
import { IConnectionManager, ISubscriptionManager } from './types';
declare type Options = {
    connectionManager: IConnectionManager;
    schema: GraphQLSchema;
    subscriptionManager: ISubscriptionManager;
};
declare function createDynamoDBEventProcessor({ connectionManager, schema, subscriptionManager, }: Options): DynamoDBStreamHandler;
export { createDynamoDBEventProcessor };
export default createDynamoDBEventProcessor;
