import { GraphQLSchema } from 'graphql';
import { IConnectionManager, ISubscriptionEvent, ISubscriptionManager } from './types';
declare type Options = {
    connectionManager: IConnectionManager;
    schema: GraphQLSchema;
    subscriptionManager: ISubscriptionManager;
};
export declare type EventProcessorFn = (events: ISubscriptionEvent[]) => Promise<void>;
declare function createMemoryEventProcessor({ connectionManager, schema, subscriptionManager, }: Options): EventProcessorFn;
export { createMemoryEventProcessor };
export default createMemoryEventProcessor;
