import { IEventStore, ISubscriptionEvent } from './types';
declare type Options = {
    eventsTable?: string;
};
declare class DynamoDBEventStore implements IEventStore {
    private db;
    private tableName;
    constructor({ eventsTable }?: Options);
    publish: (event: ISubscriptionEvent) => Promise<void>;
}
export { DynamoDBEventStore };
export default DynamoDBEventStore;
